package com.zxdmy.excite.system.service.cloud.space;

import com.zxdmy.excite.common.entity.PageList;
import com.zxdmy.excite.system.entity.cloud.space.CloudFile;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zxdmy.excite.system.entity.req.account.ReqCompany;
import com.zxdmy.excite.system.entity.req.space.ReqCloudFile;
import com.zxdmy.excite.system.entity.vo.account.CompanyVo;
import com.zxdmy.excite.system.entity.vo.space.CloudFileVo;

import java.util.List;

/**
 * <p>
 * 文件表 服务类
 * </p>
 *
 * @author ss
 * @since 2026-01-28
 */
public interface ICloudFileService extends IService<CloudFile> {

    PageList<CloudFileVo> queryByPage(Integer current, Integer size, ReqCloudFile data);

    PageList<CloudFileVo> queryByRecyclePage(Integer current, Integer size, ReqCloudFile data);

    CloudFileVo getByData(ReqCloudFile data);

    int saveData(ReqCloudFile data);
    int saveFileData(ReqCloudFile data);
    int updateFileData(ReqCloudFile data);
    int updateData(ReqCloudFile data);
    int recover(String id);
    int deleteById(String id);

    public int[] changeDeleteStatus(Integer newStatus, String[] ids);

    PageList<CloudFileVo> queryByIndexPage(Integer current, Integer size, ReqCloudFile data);


    List<CloudFileVo> queryFileByData(ReqCloudFile data);
}
